import { SupportedWallets } from '../../../../../domain/context/network/Wallet';
import FireblocksSettings from '../../../../../core/settings/custodialWalletSettings/FireblocksSettings';
import { CustodialTransactionAdapter } from './CustodialTransactionAdapter';
export declare class FireblocksTransactionAdapter extends CustodialTransactionAdapter {
    init(): Promise<string>;
    initCustodialWalletService(settings: FireblocksSettings): void;
    getSupportedWallet(): SupportedWallets;
    stop(): Promise<boolean>;
}
